Bug 115461 - Exporting 3D scenes results in bad quality
Summary: Exporting 3D scenes results in bad quality
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Graphics-Export
  Show dependency treegraph
 
Reported: 2018-02-05 13:29 UTC by Heiko Tietze
Modified: 2021-09-02 16:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot from export (122.42 KB, image/png)
2018-02-05 13:29 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-02-05 13:29:27 UTC
Created attachment 139600 [details]
Screenshot from export

Issue happens for LibreOffice 6.0 branding in https://wiki.documentfoundation.org/File:Libo6-Branding.zip > intro.fodg. When exported as PNG or converted to a metafile the color on the edges of the cubes get merged with black instead of the actual object background (red, blue or green).
Comment 1 Imai 2018-02-19 06:17:22 UTC
Issue is reproduced.

OS X EL Capitan
Ver:10.11.3

version: 6.0.1.1
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 4; OS:Mac OS X 10.11.3; UI render: default; 
local: ja-JP (ja.UTF-8); Calc: group
Comment 2 Heiko Tietze 2018-02-19 08:42:21 UTC Comment hidden (no-value)
Comment 3 QA Administrators 2019-09-02 09:20:56 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2021-09-02 03:52:12 UTC Comment hidden (obsolete)
Comment 5 Heiko Tietze 2021-09-02 07:49:46 UTC
Don't see how the export of vectors into raster graphics can be improved other than making the original larger.
Comment 6 xordevoreaux 2021-09-02 11:06:37 UTC
(In reply to Heiko Tietze from comment #5)
> Don't see how the export of vectors into raster graphics can be improved
> other than making the original larger.

That is how I do it. For a 4096x4096 pixel image, I must make a LO drawing image 42-something inches square. Freaking huge, and unnecessarily so, when all that would be required is a means to set a Draw document's output to fixed pixel dimensions, but my enhancement on that got shot down years ago by people who only see LO as simply an alternative MS Office tool rather than an expansive kit that can do many things.

Pixel density is the other method, but on a device with a fixed pixel display, i.e., practically every monitor on Earth, the result would be the same as if the export is merely enlarged in its native pixel density, which is why I always leave the pixels/cm at their default.

I use LibreOffice exclusively (that whole free thing plus I don't like how Microsoft absconds with our content into their proprietary cloud) when producing mods for Sims4, because I can have, all wrapped up in one LO Draw file, every variation for each bitmap texture a given Sims4 3D mesh needs, and I can use the graphics options in LO draw to support that. 

For example, these are my LO Draw Sims4 templates that I've made publicly available for other mod creators to use:
https://www.nexusmods.com/thesims4/mods/650?tab=files

HUGE plus is the functionality to replace an already-placed image. Any program that doesn't support that is a no go for me. That holds true when creating dozens of variations of a texture (different swatches) for a single object mesh, such as a painting:
https://www.nexusmods.com/thesims4/mods/654

I wish there was greater awareness among the developers of the different ways end-users avail themselves of the various features of LibreOffice other than spreadsheet formulas and Powerpoint documents.
Comment 7 Regina Henschel 2021-09-02 16:15:51 UTC
Of cause LO could do it better. A scene is a vector graphic, so it could start with this vector graphic and project it directly onto the target output.

Make a test: Create a cube without filling but line solid in 0.5mm and export that. Then (on a new layer) draw the displayed cube with the line and polyline tools and 0.5mm line width too. Export that and compare. The export from line and polyline is much better.

You get the same bad image, if you convert the 3D scene to bitmap. Perhaps that bad bitmap is used as intermediate step?